name: "Build PDF"

on:
  push:
    branches: [ main ]
  pull_request:
    branches: [ main ]

jobs:
  build:
    runs-on: ubuntu-latest
    container:
      image: ghcr.io/moderncv/debian-texlive-docker:main
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      - name: Build PDF
        run: latexmk ./dokumentation.tex
      - name: Upload PDF
        uses: actions/upload-artifact@v3
        with:
          name: dokumentation.pdf
          path: ./dokumentation.pdf